﻿using LibXom.Data;

namespace LibXom.Blocks
{
    internal class XomBlockHandler
    {
        public static XomBlock[] GetBlocksByName(XomBlock[] xomBlocks, string name)
        {
            List<XomBlock> sortedXomBlocksList = new List<XomBlock>();
            foreach (XomBlock xomBlock in xomBlocks)
            {
                if (xomBlock.Name.ToLower().Equals(name.ToLower()))
                {
                    sortedXomBlocksList.Add(xomBlock);
                }
            }
            return sortedXomBlocksList.ToArray();
        }
        public static XomBlock? GetBlockByName(XomBlock[] xomBlocks, string name)
        {
            XomBlock[] blocks = GetBlocksByName(xomBlocks, name);
            if (blocks.Length <= 0) return null;
            return blocks[0];
        }
    }
}
