﻿using LibW4M.Data.Highscores;
using LibW4M.Data.Teams;
using LibW4M.Data.WeaponFactory;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using W4Gui.Dialogs;

namespace W4Gui.Components
{
    public partial class HighscoresPanel : UserControl
    {
        public HighscoresPanel()
        {
            InitializeComponent();
        }


        public void SaveHighscoreData(ref HighscoreData highscore)
        {
            // Load general
            highscore.WinnerName = DataManager.SaveFile.LookupString(selWinnerName.Text);
            highscore.WinnerTime = selWinnerTime.Value;
        }

        public void LoadHighscoreData(HighscoreData highscore)
        {
            // Load general
            this.selWinnerName.Text = highscore.WinnerName.Value;
            this.selWinnerTime.Value = highscore.WinnerTime;
        }

    }
}
