﻿using LibW4M;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using W4Gui.Tabs;

namespace W4Gui
{
    public static class DataManager
    {
        public static bool SaveLoaded = false;
        public static W4SaveFile SaveFile;
        public static void SaveAll()
        {
            foreach(TabEntry control in SaveComponents)
            {
                try
                {
                    control.SaveFromControl();
                }
                catch { };
            }
        }

        public static void LoadAll()
        {
            foreach (TabEntry control in SaveComponents)
            {
                try
                {
                    control.LoadIntoControl();
                }
                catch { };
            }
        }

        public static List<TabEntry> SaveComponents = new List<TabEntry>();
    }
}
