﻿using LibXom.Exceptions;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LibXom.Data
{
    public class XomString : XomFileComponent
    {
        private string value;

        public override int Id
        {
            get
            {
                return this.fileBelongs.calculateIdForXomFileComponent(this.uuid, fileBelongs.XomStrings) - 1;
            }
        }
        public string Value
        {
            get
            {
                return this.value;
            }
        }

        public int Length
        {
            get
            {
                return Encoding.UTF8.GetByteCount(this.Value);
            }
        }

       /*
        public void OverwriteXomString(string newValue)
        {
            this.value = newValue;
            fileBelongs.updateStringById(this.Id, this);
        }
       */
        public override string ToString()
        {
            return this.Value;
        }
        internal XomString(XomFile fromFile, string value)
        {
            this.fileBelongs = fromFile;
            this.value = value;
        }
    }
}
