﻿using LibW4M.Data.InputMapping;
using LibW4M.Data.Teams;
using LibW4M.Data.WeaponFactory;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using W4Gui.Dialogs;

namespace W4Gui.Components
{
    public partial class InputMappingPanel : UserControl
    {
        public InputMappingPanel()
        {
            InitializeComponent();
        }


        public void SaveInputMappingsData(ref InputMappingData inputMapping)
        {
            // Save general
            inputMapping.Type = this.selType.Value;
            inputMapping.Key = this.selKey.Value;
            inputMapping.JoystickAxis = this.selJoystickAxis.Value;
        }

        public void LoadInputMappingsData(InputMappingData inputMapping)
        {
            // Load general
            this.selType.Value = inputMapping.Type;
            this.selKey.Value = inputMapping.Key;
            this.selJoystickAxis.Value = inputMapping.JoystickAxis;


        }

    }
}
